using System.Text.Json.Serialization;

namespace SatelliteProvider.Common.DTO;

public class GeofencePolygon
{
    [JsonRequired]
    [JsonPropertyName("northWest")]
    public GeoPoint? NorthWest { get; set; }

    [JsonRequired]
    [JsonPropertyName("southEast")]
    public GeoPoint? SouthEast { get; set; }
}

public class Geofences
{
    [JsonRequired]
    [JsonPropertyName("polygons")]
    public List<GeofencePolygon> Polygons { get; set; } = new();
}

